Subject: function needed
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Fri, 11 Jan 2008 18:32:15 -0500

Mike,
We are still having problems with PO Boxes as it relates to our UPS orders.  If you remember, a while back I requested that you put something in place that requires all RESHIPS to use a physical address.  This is mandatory since UPS won't ship to any PO Boxes.  Which also leads to NEXT DAY, 2-DAY, 3-DAY and GROUND packages (which are 2 c-sets or more).  I really need to have this put in place for all phone orders (including & especially Tele orders).  Can I get you to find some time to get this in place asap?  With level of volume we are at, this is causing us to spend a lot of extra time of calling and delaying shipments even more.  I really need this!
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]